
QGIS Application - Bug report #2020

QGIS 1.3.0 does not respect WMS scales

2009-10-17 07:50 AM - jrh -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12080

Description

Using a WMS with many layers (served by Mapserver 5.4.2), with a number of layers with scales defined with {MIN,MAX}SCALEDENOM

values to control layer visibilityI observe the following:

    -  Using QGIS 1.0.2, the data is displayed as expected, e.g. layers are drawn respecting the current scale in QGIS, in accordance with

the map {min,max}scaledenom definitions;

    -  When using QGIS 1.3.0, the data is not drawn as expected, the zoomed out layers are drawn over the more detailed layers,

regardless of the actual scale, making 1.3.0 un-suitable as a WMS viewer.

Unfortunately, 1.0.2 does not build in Ubuntu 9.10, so Karmic users lose the best Linux WMS client.

-jh

Associated revisions

Revision c1864c65 - 2009-10-24 11:01 PM - Jürgen Fischer

fix #2020

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11837 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d8bc09cf - 2009-10-24 11:01 PM - Jürgen Fischer

fix #2020

git-svn-id: http://svn.osgeo.org/qgis/trunk@11837 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-10-17 08:15 AM - Jürgen Fischer

Replying to jrh:

Using a WMS with many layers (served by Mapserver 5.4.2), with a number of layers with scales defined with {MIN,MAX}SCALEDENOM values to

control layer visibilityI observe the following:

I doubt that this is true.  Are you sure you're using the same server with 1.0.2 and 1.3.0?  QGIS doesn't know about those settings.
It justs requests a bitmap with:

- number of layers using certain styles

- bounding box in a given coordinate system

- size (width&height in pixels)

- given format

mapserver needs to decide what's visible in the bounding box and on the layers.

#2 - 2009-10-17 09:18 AM - jrh -

I'm certainly no expert on Mapserver, so it is more than likely that the server is misconfigured and happens to work in QGIS 1.0.2, [[OpenJump]], UDig, but

not in 1.3.0, so I'll have a further look at that. I also note that 1.3.0 passes the layers to the mapserver in the opposite order than 1.0.2 does, which in this

case (layers are also ordered in the map file), may explain what's going on, if that's significant.

"GET /maps?map=/var/www/maps/osm-gshhs.map&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap

&BBOX=-1.739979,50.833849,-1.440021,51.026151&SRS=EPSG:4326&WIDTH=1096&HEIGHT=70

3&LAYERS=countries%2Cgshhs_land%2Cgshhs_lake%2Cgshhs_isle%2Cgshhs_pond%2Clanduse

_layer1%2Clanduse_layer2%2Clanduse_layer3%2Clanduse_layer4%2Clanduse_layer5%2Cla

nduse_layer6%2Crailways%2Chighways-far%2Chighways-close%2Cpedestrian_hack%2Caero

ways%2Ctram%2Cbuilding%2Csports%2Cbridges%2Coneways%2Cvilles&STYLES=%2C%2C%2C%2C

%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C&FORMAT=image/png&TRANSPARENT=TRUE HTTP/1.1"

200 432486 "-" "Quantum GIS - 1.0.2-Kore"

"GET

/maps?map=/var/www/maps/osm-gshhs.map&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=-1.677925,50.833438,-1.382075,51.026562&

562&SRS=EPSG:4326&WIDTH=1081&HEIGHT=705&LAYERS=villes%2Coneways%2Cbridges%2Csports%2Cbuilding%2Ctram%2Caeroways%2Cpedestrian_hack%2Chighways-close%2Chighways-far%2Crailways%2Clanduse_layer6%2Clanduse_layer5%2Clanduse_layer4%2Clanduse_layer3

destrian_hack%2Chighways-close%2Chighways-far%2Crailways%2Clanduse_layer6%2Clanduse_layer5%2Clanduse_layer4%2Clanduse_layer3%2Clanduse_layer2%2Clanduse_layer1%2Cgshhs_pond%2Cgshhs_isle%2Cgshhs_lake%2Cgshhs_land%2Ccountries&STYLES=%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C&FORMAT=image/png&DPI=96&TRANSPARENT=TRUE HTTP/1.1" 200 76055 "-" "Quantum G

nduse_layer2%2Clanduse_layer1%2Cgshhs_pond%2Cgshhs_isle%2Cgshhs_lake%2Cgshhs_land%2Ccountries&STYLES=%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C&FORMAT=image/png&DPI=96&TRANSPARENT=TRUE HTTP/1.1" 200 76055 "-" "Quantum GIS - 1.3.0-Mimas"

C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C%2C&FORMAT=image/png&DPI=96&TRANSPARENT=TRUE HTTP/1.1" 200

76055 "-" "Quantum GIS - 1.3.0-Mimas"

Thanks

#3 - 2009-10-17 09:33 AM - Jürgen Fischer

Replying to [comment:2 jrh]:

I'm certainly no expert on Mapserver, so it is more than likely that the server is misconfigured and happens to work in QGIS 1.0.2, [[OpenJump]],

UDig, but not in 1.3.0, so I'll have a further look at that. I also note that 1.3.0 passes the layers to the mapserver in the opposite order than 1.0.2

does, which in this case (layers are also ordered in the map file), may explain what's going on, if that's significant.

You can reorder the layers in the second tab (I think that was introduced in 1.3).  Looks like the layers are in reverse selection order by default.

#4 - 2009-10-17 09:47 AM - jrh -

Replying to [comment:3 jef]:

You can reorder the layers in the second tab (I think that was introduced in 1.3).  Looks like the layers are in reverse selection order by default.
Even easier is to click on the 'Id' tab in the Add Layer window. However, it would be easier if the dialogue worked like 1.0.2 and retained the MS provider

order rather than inverting it. But I now know how to make it work like 1.0.2. Thanks for the pointers. Priority amended accordingly, please drop if you see

fit.

-jh

#5 - 2009-10-24 02:02 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:d8bc09cf (SVN r11838)
